Loading...
Searching...
No Matches
ClpNodeStuff Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpNodeStuff:
[legend]

## Public Member Functions

Constructors, destructor
| ClpNodeStuff ()
| Default constructor.
virtual | ~ClpNodeStuff ()
| Destructor.
Copy methods (only copies ints etc, nulls arrays)
| ClpNodeStuff (const ClpNodeStuff &)
| The copy constructor.
ClpNodeStuff & | operator= (const ClpNodeStuff &)
| Operator =.
void | zap (int type)
| Zaps stuff 1 - arrays, 2 ints, 3 both.
Fill methods
void | fillPseudoCosts (const double *down, const double *up, const int *priority, const int *numberDown, const int *numberUp, const int *numberDownInfeasible, const int *numberUpInfeasible, int number)
| Fill with pseudocosts.
void | update (int way, int sequence, double change, bool feasible)
| Update pseudo costs.
int | maximumNodes () const
| Return maximum number of nodes.
int | maximumSpace () const
| Return maximum space for nodes.

## Public Attributes

Data
double | integerTolerance_
| Integer tolerance.
double | integerIncrement_
| Integer increment.
double | smallChange_
| Small change in branch.
double * | downPseudo_
| Down pseudo costs.
double * | upPseudo_
| Up pseudo costs.
int * | priority_
| Priority.
int * | numberDown_
| Number of times down.
int * | numberUp_
| Number of times up.
int * | numberDownInfeasible_
| Number of times down infeasible.
int * | numberUpInfeasible_
| Number of times up infeasible.
double * | saveCosts_
| Copy of costs (local).
ClpNode ** | nodeInfo_
| Array of ClpNodes.
ClpSimplex * | large_
| Large model if crunched.
int * | whichRow_
| Which rows in large model.
int * | whichColumn_
| Which columns in large model.
CoinMessageHandler * | handler_
| Cbc's message handler.
int | nBound_
| Number bounds in large model.
int | saveOptions_
| Save of specialOptions_ (local).
int | solverOptions_
| Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 32 - just create up to nDepth_+1 nodes 65536 - set if activated.
int | maximumNodes_
| Maximum number of nodes to do.
int | numberBeforeTrust_
| Number before trust from CbcModel.
int | stateOfSearch_
| State of search from CbcModel.
int | nDepth_
| Number deep.
int | nNodes_
| Number nodes returned (-1 if fathom aborted).
int | numberNodesExplored_
| Number of nodes explored.
int | numberIterations_
| Number of iterations.
int | presolveType_
| Type of presolve - 0 none, 1 crunch.
int | startingDepth_
| Depth passed in.
int | nodeCalled_
| Node at which called.

## Detailed Description

Definition at line 188 of file ClpNode.hpp.

## Constructor & Destructor Documentation

## ClpNodeStuff() [1/2]

ClpNodeStuff::ClpNodeStuff | ( |  | ) |

Default constructor.

## ~ClpNodeStuff()

virtual ClpNodeStuff::~ClpNodeStuff | ( |  | ) |

virtual

Destructor.

## ClpNodeStuff() [2/2]

ClpNodeStuff::ClpNodeStuff | ( | const ClpNodeStuff & |  | ) |

The copy constructor.

## Member Function Documentation

## operator=()

ClpNodeStuff & ClpNodeStuff::operator= | ( | const ClpNodeStuff & |  | ) |

Operator =.

## zap()

void ClpNodeStuff::zap | ( | int | type | ) |

Zaps stuff 1 - arrays, 2 ints, 3 both.

## fillPseudoCosts()

void ClpNodeStuff::fillPseudoCosts | ( | const double * | down,
|  | const double * | up,
|  | const int * | priority,
|  | const int * | numberDown,
|  | const int * | numberUp,
|  | const int * | numberDownInfeasible,
|  | const int * | numberUpInfeasible,
|  | int | number )

Fill with pseudocosts.

## update()

void ClpNodeStuff::update | ( | int | way,
|  | int | sequence,
|  | double | change,
|  | bool | feasible )

Update pseudo costs.

## maximumNodes()

int ClpNodeStuff::maximumNodes | ( |  | ) | const

Return maximum number of nodes.

## maximumSpace()

int ClpNodeStuff::maximumSpace | ( |  | ) | const

Return maximum space for nodes.

## Member Data Documentation

## integerTolerance_

double ClpNodeStuff::integerTolerance_

Integer tolerance.

Definition at line 229 of file ClpNode.hpp.

## integerIncrement_

double ClpNodeStuff::integerIncrement_

Integer increment.

Definition at line 231 of file ClpNode.hpp.

## smallChange_

double ClpNodeStuff::smallChange_

Small change in branch.

Definition at line 233 of file ClpNode.hpp.

## downPseudo_

double* ClpNodeStuff::downPseudo_

Down pseudo costs.

Definition at line 235 of file ClpNode.hpp.

## upPseudo_

double* ClpNodeStuff::upPseudo_

Up pseudo costs.

Definition at line 237 of file ClpNode.hpp.

## priority_

int* ClpNodeStuff::priority_

Priority.

Definition at line 239 of file ClpNode.hpp.

## numberDown_

int* ClpNodeStuff::numberDown_

Number of times down.

Definition at line 241 of file ClpNode.hpp.

## numberUp_

int* ClpNodeStuff::numberUp_

Number of times up.

Definition at line 243 of file ClpNode.hpp.

## numberDownInfeasible_

int* ClpNodeStuff::numberDownInfeasible_

Number of times down infeasible.

Definition at line 245 of file ClpNode.hpp.

## numberUpInfeasible_

int* ClpNodeStuff::numberUpInfeasible_

Number of times up infeasible.

Definition at line 247 of file ClpNode.hpp.

## saveCosts_

double* ClpNodeStuff::saveCosts_

Copy of costs (local).

Definition at line 249 of file ClpNode.hpp.

## nodeInfo_

ClpNode** ClpNodeStuff::nodeInfo_

Array of ClpNodes.

Definition at line 251 of file ClpNode.hpp.

## large_

ClpSimplex* ClpNodeStuff::large_

Large model if crunched.

Definition at line 253 of file ClpNode.hpp.

## whichRow_

int* ClpNodeStuff::whichRow_

Which rows in large model.

Definition at line 255 of file ClpNode.hpp.

## whichColumn_

int* ClpNodeStuff::whichColumn_

Which columns in large model.

Definition at line 257 of file ClpNode.hpp.

## handler_

CoinMessageHandler* ClpNodeStuff::handler_

Cbc's message handler.

Definition at line 260 of file ClpNode.hpp.

## nBound_

int ClpNodeStuff::nBound_

Number bounds in large model.

Definition at line 263 of file ClpNode.hpp.

## saveOptions_

int ClpNodeStuff::saveOptions_

Save of specialOptions_ (local).

Definition at line 265 of file ClpNode.hpp.

## solverOptions_

int ClpNodeStuff::solverOptions_

Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 32 - just create up to nDepth_+1 nodes 65536 - set if activated.

Definition at line 274 of file ClpNode.hpp.

## maximumNodes_

int ClpNodeStuff::maximumNodes_

Maximum number of nodes to do.

Definition at line 276 of file ClpNode.hpp.

## numberBeforeTrust_

int ClpNodeStuff::numberBeforeTrust_

Number before trust from CbcModel.

Definition at line 278 of file ClpNode.hpp.

## stateOfSearch_

int ClpNodeStuff::stateOfSearch_

State of search from CbcModel.

Definition at line 280 of file ClpNode.hpp.

## nDepth_

int ClpNodeStuff::nDepth_

Number deep.

Definition at line 282 of file ClpNode.hpp.

## nNodes_

int ClpNodeStuff::nNodes_

Number nodes returned (-1 if fathom aborted).

Definition at line 284 of file ClpNode.hpp.

## numberNodesExplored_

int ClpNodeStuff::numberNodesExplored_

Number of nodes explored.

Definition at line 286 of file ClpNode.hpp.

## numberIterations_

int ClpNodeStuff::numberIterations_

Number of iterations.

Definition at line 288 of file ClpNode.hpp.

## presolveType_

int ClpNodeStuff::presolveType_

Type of presolve - 0 none, 1 crunch.

Definition at line 290 of file ClpNode.hpp.

## startingDepth_

int ClpNodeStuff::startingDepth_

Depth passed in.

Definition at line 293 of file ClpNode.hpp.

## nodeCalled_

int ClpNodeStuff::nodeCalled_

Node at which called.

Definition at line 295 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpNode.hpp